### 4.3 Miscellaneous Options

`-d[`num`]`
`--debug[=`num`]`
  The ‘`-d num`’ option specifies debugging options. If num is not specified, enable all debugging. See Debugging `gprof`.
`-h`
`--help`
  The ‘`-h`’ option prints command line usage.
`-O` name
`--file-format=`name
  Selects the format of the profile data files. Recognized formats are ‘`auto`’ (the default), ‘`bsd`’, ‘`4.4bsd`’, ‘`magic`’, and ‘`prof`’ (not yet supported).
`-s`
`--sum`
  The ‘`-s`’ option causes `gprof` to summarize the information in the profile data files it read in, and write out a profile data file called `gmon.sum`, which contains all the information from the profile data files that `gprof` read in. The file `gmon.sum` may be one of the specified input files; the effect of this is to merge the data in the other input files into `gmon.sum`.

  Eventually you can run `gprof` again without ‘`-s`’ to analyze the cumulative data in the file `gmon.sum`.

`-v`
`--version`
  The ‘`-v`’ flag causes `gprof` to print the current version number, and then exit.